VisualEditor: Content format needed for faux request now that content format is validated -> VE down in wmf10
Closed, ResolvedPublic

Description

Attempt to invoke VE by clicking the Edit button on my near-empty user page http://en.wikipedia.beta.wmflabs.org/wiki/User:Cmcmahon, get error:

Error loading data from server: internal_api_error_ErrorPageError: Exception Caught: <editpage-notsupportedcontentformat-text>. Would you like to retry?

Note: several hours ago a number of automated browser tests failed by timing out waiting for 10 seconds for the diff viewer to manifest in the browser. There may have been a performance problem before this error appeared.


Version: unspecified
Severity: major

bzimport set Reference to bz59867.
Cmcmahon created this task.Via LegacyJan 9 2014, 3:45 PM
Aklapper added a comment.Via ConduitJan 9 2014, 3:58 PM

Confirming.

Ryasmeen added a comment.Via ConduitJan 9 2014, 8:43 PM

This is happening on test2 environment now after 1.23wmf10 deployment

Cmcmahon added a comment.Via ConduitJan 9 2014, 8:51 PM

Added Rob Moen and Greg Grossmeier and changed importance, this affects mediawiki.org also

gerritbot added a comment.Via ConduitJan 9 2014, 8:55 PM

Change 106619 had a related patch set uploaded by Robmoen:
Provide content format faux reqeust now that content format is validated

https://gerrit.wikimedia.org/r/106619

gerritbot added a comment.Via ConduitJan 9 2014, 9:18 PM

Change 106619 abandoned by Robmoen:
Provide content format faux reqeust now that content format is validated

https://gerrit.wikimedia.org/r/106619

gerritbot added a comment.Via ConduitJan 9 2014, 9:29 PM

Change 106621 had a related patch set uploaded by Krinkle:
Provide content format faux reqeust now that content format is validated

https://gerrit.wikimedia.org/r/106621

greg added a comment.Via ConduitJan 9 2014, 9:30 PM

Adding reedy:

Reedy, if this isn't fixed very quickly, we'll need to revert :/

Rob: Can you get that reviewed and merged and tested on beta cluster ASAP?

greg added a comment.Via ConduitJan 9 2014, 9:30 PM

(grumble mid-air collision bz, really adding reedy now)

greg added a comment.Via ConduitJan 9 2014, 9:44 PM

Asking here instead of in IRC:
What's the offending commit? When was it merged into master?

gerritbot added a comment.Via ConduitJan 9 2014, 10:11 PM

Change 106627 had a related patch set uploaded by Jforrester:
Provide content format faux reqeust now that content format is validated

https://gerrit.wikimedia.org/r/106627

gerritbot added a comment.Via ConduitJan 9 2014, 10:12 PM

Change 106621 merged by jenkins-bot:
Provide content format faux reqeust now that content format is validated

https://gerrit.wikimedia.org/r/106621

gerritbot added a comment.Via ConduitJan 9 2014, 10:18 PM

Change 106627 merged by jenkins-bot:
Provide content format faux reqeust now that content format is validated

https://gerrit.wikimedia.org/r/106627

Jdforrester-WMF added a comment.Via ConduitJan 9 2014, 10:19 PM

Fix now being deployed.

gerritbot added a comment.Via ConduitJan 9 2014, 10:23 PM

Change 106628 had a related patch set uploaded by Ori.livneh:
Update VisualEditor for cherry pick I5cc44c5ef35 (bug 59867)

https://gerrit.wikimedia.org/r/106628

gerritbot added a comment.Via ConduitJan 9 2014, 10:26 PM

Change 106628 merged by Ori.livneh:
Update VisualEditor for cherry pick I5cc44c5ef35 (bug 59867)

https://gerrit.wikimedia.org/r/106628

Ryasmeen added a comment.Via ConduitJan 9 2014, 10:37 PM

Verified the fix in test 2 and mw.org.VE is now loading properly on wmf10.

Cmcmahon added a comment.Via ConduitJan 10 2014, 3:48 PM

This is fixed on test2/mw.o but still broken on beta labs. Perhaps it was a hotfix in prod, but master not updated yet?

Cmcmahon added a comment.Via ConduitJan 10 2014, 3:54 PM
  • Bug 59903 has been marked as a duplicate of this bug. ***
Jdforrester-WMF added a comment.Via ConduitJan 10 2014, 4:31 PM

Synchronisation for betalabs has been broken for over a week due to bug 49846 – see http://en.wikipedia.beta.wmflabs.org/wiki/Special:Version which says "VisualEditor 0.1.0 (3e925e6) 20:50, 2 January 2014". Re-closing as that's a distinct issue.

zeljkofilipin removed a subscriber: zeljkofilipin.Via WebNov 27 2014, 2:55 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.